const joi = require("joi")

const IPXDataSchema = joi.object({
  date: joi.date().timestamp("unix").required(),
  tags: joi.array().items( joi.object({
    tag: joi.number().required(),
    type: joi.number().required(),
    data: joi.alternatives().try(joi.string(), joi.number())
  }).optional()
  ).required()
})

module.exports = IPXDataSchema